#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    long n,x[1001],y[1001],z[1001];
    long s;
    cin>>n;
    for(long  i=0;i<n;i++)
        cin>>x[i];
    for(long i=0;i<n;i++)
        cin>>y[i];
    for(long i=0;i<n;i++)
        cin>>z[i];
    for(long i=0;i<n;i++)
    for(long j=0;j<n;j++)
    {
        if(x[i]==y[j])
            for(long l=0;l<n;l++)
            if(j+1==z[l])
            s+=1;
    }
    cout<<s;
    return 0;
}